/*
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */

/*
 * Created on Feb 14, 2005
 *
 */
package com.sunlabs.archsim.tests.actionarbiter;

import com.sunlabs.archsim.base.hierarchy.CompositeEntity;
import com.sunlabs.archsim.base.simulation.Delay;
import com.sunlabs.archsim.gasp.Action;
import com.sunlabs.archsim.gasp.Function;

/**
 * @author ib27688
 */
public class AATSource extends Action {
	
	private Delay sourceDelay= new Delay(10);

	Function out;
	
	public AATSource(String name, CompositeEntity parent, int start) {
		super(name, parent);
		out= new GenerateData(start);
		outputFunctions.put(AATGlobal.DATA_OUT_TERMINAL_NAME, out);
	} // FifoAction
	
	public void setDelay(Delay d) {
		sourceDelay= (Delay)d.clone();
		out.setDelay(sourceDelay);
	}
	
	/** Generate new data items */
	private class GenerateData extends Function {

		private int next;
		
		public GenerateData(int start) {
			super("GenerateData");
			next= start;
			functionDelay= sourceDelay;
		}
		
		public Object value() {
			if (AATGlobal.sourceDisplayGenerated) {
				director.journal("Source " + AATSource.this.getName() 
						+ ", id= " + AATSource.this.getID()
						+ ", generated " + next);
			}
			return new Integer(next++);	
		} // value
	} // PassData

} // AATSource
