/*
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */

/*
 * Created on Mar 24, 2005
 *
 */
package com.sunlabs.archsim.tests.branch;

import com.sunlabs.archsim.base.simulation.Delay;

/**
 * @author ib27688
 */
public class BranchTestGlobal {
	
	private BranchTestGlobal()  {}
	
	public static final String SRC_OUT= "srcOut";
	public static final String SRC_ACK_OUT= "srcAckOut";
	
	public static final String SINK_IN= "sinkIn";
	public static final String SINK_ACK_IN= "sinkAckIn";
	
	public static final String SOURCE_DATA_STATE= "srcDataState";
	public static final String ACK_SOURCE_DATA_STATE= "ackSrcDataState";
	
	public static final String BRANCH_DATA_STATE= "branchDataState"; 
	public static final String ACK_BRANCH_DATA_STATE= "ackBranchDataState"; 

	
	public static final String SOURCE= "branchTestSource";
	public static final String SINK= "branchTestSink";
	public static final String BRANCH= "branchTestBranch";
	
	public static boolean sourceDisplayGenerated= false;
	public static boolean sinkDisplayReceived= false;
	
	public static final Delay SOURCE_DELAY= new Delay(10);
	public static final Delay SINK_DELAY= new Delay(10);	

	public static final Delay ACTION_TO_STATE_DELAY= new Delay(10);
	public static final Delay STATE_TO_ACTION_DELAY= new Delay(10);
	
	public static final int NUM_BRANCHES= 4;
	
	
	
	
} // BranchTestGlobal
